#!/bin/sh

IFS=

function Usage {
  echo "Usage: ./upload_dir.sh <path_to_sample_directory>"
  exit
}

if [ -z "$1" ]; then
  Usage
fi

SAMPLE_DIR="$1"

shift

pushd . && cd "$SAMPLE_DIR" && mkdir -p 48k && cd 48k && find ../ -name \*.wav -print0 | xargs -0 printf "%s\n" >srclist.txt && rm -f filelist.txt && while read d ; do sox "${d}" -r 48000 -b 16 -c 1 "`basename "$d"`"; echo "`basename "$d"`" >>filelist.txt ; done <srclist.txt && tks app:sds filelist.txt -indev "$SDS_INDEV" -outdev "$SDS_OUTDEV" $* && cd .. && ls -1 48k/*.wav && popd

unset IFS
